Halide 22.0.0 Halide compiler and libraries

Loading...
Searching...
No Matches
Static Public Member Functions | Public Attributes | Static Public Attributes | List of all members
Halide::Internal::LT Struct Reference

Is the first expression less than the second. More...

`#include <IR.h>`

Inheritance diagram for Halide::Internal::LT:

## Static Public Member Functions
static Expr | make (Expr a, Expr b)

## Public Attributes
Expr | a
Expr | b
Public Attributes inherited from Halide::Internal::BaseExprNode
Type | type
Public Attributes inherited from Halide::Internal::IRNode
RefCount | ref_count
| These classes are all managed with intrusive reference counting, so we also track a reference count.
IRNodeType | node_type
| Each IR node subclass has a unique identifier.

## Static Public Attributes
static const IRNodeType | _node_type = IRNodeType::LT

## Additional Inherited Members
Public Member Functions inherited from Halide::Internal::ExprNode< LT >
void | accept (IRVisitor *v) const override
| We use the visitor pattern to traverse IR nodes throughout the compiler, so we have a virtual accept method which accepts visitors.
Expr | mutate_expr (IRMutator *v) const override
| ExprNode ()
| ~ExprNode () override=default
Public Member Functions inherited from Halide::Internal::BaseExprNode
| BaseExprNode (IRNodeType t)
Public Member Functions inherited from Halide::Internal::IRNode
| IRNode (IRNodeType t)
virtual | ~IRNode ()=default

## Detailed Description

Is the first expression less than the second.

Definition at line 139 of file IR.h.

## Member Function Documentation

## ◆ make()

static Expr Halide::Internal::LT::make | ( | Expr | a,
|  | Expr | b
| ) |  |
| static

## Member Data Documentation

## ◆ a

Expr Halide::Internal::LT::a

Definition at line 140 of file IR.h.

## ◆ b

Expr Halide::Internal::LT::b

Definition at line 140 of file IR.h.

## ◆ _node_type

const IRNodeType Halide::Internal::LT::_node_type = IRNodeType::LT
| static

Definition at line 144 of file IR.h.

The documentation for this struct was generated from the following file:

- src/IR.h